use kahlo::{colour::Colour, formats::Rgba32, prelude::*};

mod common;

#[test]
fn fill_test() {
    let mut generate = kahlo::Bitmap::<Rgba32>::new(16, 16);
    generate.fill(Colour::rgba(0xaa, 0xbb, 0xcc, 0xff));
    common::save_test_result_rgba32("fill_test.png", &generate);

    let expected = common::load_test_resource("fill_test.png");
    assert_eq!(generate, expected);
}
